%define bname xkbcommon
%define name lib%{bname}
%define version 0.2.0
%define date 0
%define git 0
%define pkgrel 2
%if %git
%define rel 0.%{date}.%{pkgrel}
%define distname %{name}-%{date}
%define srcname %{name}-%{git}
%else
%define rel %{pkgrel}
%define distname %{name}-%{version}
%define srcname %{distname}
%endif
%define release %mkrel %{rel}

%define major 0
%define libname %mklibname %{bname} %{major}
%define libname_devel %mklibname %{bname} -d

Summary:	XKB API common to servers and clients	
Name:		%{name}
Version:	%{version}
Release:	%{release}
# DATE=$(git show -s --pretty=%ai | awk '{ gsub("-", "", $1); print $1 }'); NAME=libxkbcommon-$DATE ; git archive --format=tar.gz --prefix=$NAME/ HEAD > $NAME.tar.gz
Source0:	%{distname}.tar.gz
License:	MIT
Group:		System/Libraries
Url:		http://cgit.freedesktop.org/xorg/lib/libxkbcommon/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
BuildRequires:	doxygen
# to auto-detect XKB config root
BuildRequires:	x11-data-xkbdata

%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package doc
Summary: %{name} documentation
Group: Documentation
%description doc
This package contains documentation of %{name}.

%prep
%setup -q -n %{srcname}
%apply_patches
autoreconf -vfi

%build
%configure2_5x --disable-static
%make

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libname_devel}
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-compat.h
%{_includedir}/%{bname}/%{bname}-keysyms.h
%{_includedir}/%{bname}/%{bname}-names.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{bname}.pc

%files doc
%doc %{_docdir}/%{name}/*


%changelog

* Fri Nov 09 2012 blino <blino> 0.2.0-2.mga3
+ Revision: 316732
- remove xproto and kbproto build dep (cleaned upstream)

* Wed Oct 24 2012 blino <blino> 0.2.0-1.mga3
+ Revision: 309555
- build and package doc
- package xkbcommon-compat.h
- 0.2.0
- drop merged patch

* Mon Jul 23 2012 blino <blino> 0.1.0-0.20120713.1.mga3
+ Revision: 273896
- package new keysyms and names files
- Fix yyparse conflict at build by forward-declaring struct (reported as fd.o #52414)
- update to 20120713 snapshot (git fe4f990902c7cd8f395b9f3be14dc6e8cad7cae9)
- move autoreconf in prep

* Fri Mar 02 2012 blino <blino> 0.1.0-0.20120220.2.mga2
+ Revision: 216701
- buildrequire x11-data-xkbdata to properly detect XKB config root

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.1.mga2
+ Revision: 216357
- fix libname

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.mga2
+ Revision: 216280
- buildrequires flex
- buildrequires xproto and kbproto
- buildrequires bison
- initial release
- Created package structure for libxkbcommon.

